<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html 
     PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>Class: WorksController</title>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
  <meta http-equiv="Content-Script-Type" content="text/javascript" />
  <link rel="stylesheet" href=".././rdoc-style.css" type="text/css" media="screen" />
  <script type="text/javascript">
  // <![CDATA[

  function popupCode( url ) {
    window.open(url, "Code", "resizable=yes,scrollbars=yes,toolbar=no,status=no,height=150,width=400")
  }

  function toggleCode( id ) {
    if ( document.getElementById )
      elem = document.getElementById( id );
    else if ( document.all )
      elem = eval( "document.all." + id );
    else
      return false;

    elemStyle = elem.style;
    
    if ( elemStyle.display != "block" ) {
      elemStyle.display = "block"
    } else {
      elemStyle.display = "none"
    }

    return true;
  }
  
  // Make codeblocks hidden by default
  document.writeln( "<style type=\"text/css\">div.method-source-code { display: none }</style>" )
  
  // ]]>
  </script>

</head>
<body>



    <div id="classHeader">
        <table class="header-table">
        <tr class="top-aligned-row">
          <td><strong>Class</strong></td>
          <td class="class-name-in-header">WorksController</td>
        </tr>
        <tr class="top-aligned-row">
            <td><strong>In:</strong></td>
            <td>
                <a href="../files/app/controllers/works_controller_rb.html">
                app/controllers/works_controller.rb
                </a>
        <br />
            </td>
        </tr>

        <tr class="top-aligned-row">
            <td><strong>Parent:</strong></td>
            <td>
                <a href="ApplicationController.html">
                ApplicationController
               </a>
            </td>
        </tr>
        </table>
    </div>
  <!-- banner header -->

  <div id="bodyContent">



  <div id="contextContent">



   </div>

    <div id="method-list">
      <h3 class="section-bar">Methods</h3>

      <div class="name-list">
      <a href="#M000028">add_comment</a>&nbsp;&nbsp;
      <a href="#M000021">add_edition</a>&nbsp;&nbsp;
      <a href="#M000017">add_location</a>&nbsp;&nbsp;
      <a href="#M000027">compare_version</a>&nbsp;&nbsp;
      <a href="#M000014">create</a>&nbsp;&nbsp;
      <a href="#M000025">destroy</a>&nbsp;&nbsp;
      <a href="#M000015">edit</a>&nbsp;&nbsp;
      <a href="#M000022">edit_edition</a>&nbsp;&nbsp;
      <a href="#M000018">edit_location</a>&nbsp;&nbsp;
      <a href="#M000010">index</a>&nbsp;&nbsp;
      <a href="#M000011">list</a>&nbsp;&nbsp;
      <a href="#M000013">new</a>&nbsp;&nbsp;
      <a href="#M000020">remove_edition</a>&nbsp;&nbsp;
      <a href="#M000016">remove_location</a>&nbsp;&nbsp;
      <a href="#M000026">revert_to_version</a>&nbsp;&nbsp;
      <a href="#M000012">show</a>&nbsp;&nbsp;
      <a href="#M000024">update</a>&nbsp;&nbsp;
      <a href="#M000023">update_edition</a>&nbsp;&nbsp;
      <a href="#M000019">update_location</a>&nbsp;&nbsp;
      </div>
    </div>

  </div>


    <!-- if includes -->

    <div id="section">





      


    <!-- if method_list -->
    <div id="methods">
      <h3 class="section-bar">Public Instance methods</h3>

      <div id="method-M000028" class="method-detail">
        <a name="M000028"></a>

        <div class="method-heading">
          <a href="#M000028" class="method-signature">
          <span class="method-name">add_comment</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000028-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000028-source">
<pre>
     <span class="ruby-comment cmt"># File app/controllers/works_controller.rb, line 144</span>
144:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">add_comment</span>
145:     <span class="ruby-keyword kw">if</span> <span class="ruby-identifier">params</span>[<span class="ruby-identifier">:commit</span>] <span class="ruby-operator">==</span> <span class="ruby-value str">'Cancel'</span>
146:       <span class="ruby-identifier">redirect_to</span> <span class="ruby-identifier">:action</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-value str">'show'</span>, <span class="ruby-identifier">:id</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-identifier">params</span>[<span class="ruby-identifier">:id</span>]
147:       <span class="ruby-keyword kw">return</span>
148:     <span class="ruby-keyword kw">end</span>
149:     <span class="ruby-ivar">@errors</span> = {}
150:     <span class="ruby-ivar">@work</span> = <span class="ruby-constant">Work</span>.<span class="ruby-identifier">find</span>(<span class="ruby-identifier">params</span>[<span class="ruby-identifier">:id</span>])
151:     <span class="ruby-ivar">@text</span> = <span class="ruby-identifier">params</span>[<span class="ruby-identifier">:text</span>]
152:     <span class="ruby-keyword kw">return</span> <span class="ruby-keyword kw">unless</span> <span class="ruby-identifier">request</span>.<span class="ruby-identifier">post?</span>
153:     <span class="ruby-identifier">c</span> = <span class="ruby-constant">Addition</span>.<span class="ruby-identifier">new</span>
154:     <span class="ruby-identifier">c</span>.<span class="ruby-identifier">text</span> = <span class="ruby-ivar">@text</span>
155:     <span class="ruby-identifier">c</span>.<span class="ruby-identifier">user_id</span> = <span class="ruby-identifier">session</span>[<span class="ruby-identifier">:user_id</span>]
156:     <span class="ruby-identifier">c</span>.<span class="ruby-identifier">work</span> = <span class="ruby-ivar">@work</span>
157:     <span class="ruby-keyword kw">if</span> <span class="ruby-identifier">c</span>.<span class="ruby-identifier">save</span>
158:       <span class="ruby-identifier">redirect_to</span> <span class="ruby-identifier">:action</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-value str">'show'</span>, <span class="ruby-identifier">:id</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-ivar">@work</span>
159:     <span class="ruby-keyword kw">else</span>
160:       <span class="ruby-ivar">@errors</span>[<span class="ruby-identifier">:text</span>] = <span class="ruby-identifier">c</span>.<span class="ruby-identifier">errors</span>.<span class="ruby-identifier">on</span> <span class="ruby-identifier">:text</span>
161:     <span class="ruby-keyword kw">end</span>
162:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000021" class="method-detail">
        <a name="M000021"></a>

        <div class="method-heading">
          <a href="#M000021" class="method-signature">
          <span class="method-name">add_edition</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000021-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000021-source">
<pre>
    <span class="ruby-comment cmt"># File app/controllers/works_controller.rb, line 75</span>
75:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">add_edition</span>
76:     <span class="ruby-identifier">logger</span>.<span class="ruby-identifier">info</span> <span class="ruby-value str">&quot;Add edition submitted&quot;</span>
77:     <span class="ruby-ivar">@publishers_work</span> = <span class="ruby-constant">PublishersWork</span>.<span class="ruby-identifier">new</span>
78:     <span class="ruby-ivar">@publishers_work</span>.<span class="ruby-identifier">work_id</span> = <span class="ruby-identifier">params</span>[<span class="ruby-identifier">:id</span>]
79:     <span class="ruby-identifier">render</span> <span class="ruby-identifier">:action</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-value str">'edit_edition'</span>, <span class="ruby-identifier">:layout</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-value str">&quot;popup&quot;</span>
80:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000017" class="method-detail">
        <a name="M000017"></a>

        <div class="method-heading">
          <a href="#M000017" class="method-signature">
          <span class="method-name">add_location</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000017-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000017-source">
<pre>
    <span class="ruby-comment cmt"># File app/controllers/works_controller.rb, line 45</span>
45:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">add_location</span>
46:     <span class="ruby-identifier">logger</span>.<span class="ruby-identifier">info</span> <span class="ruby-value str">&quot;Add location submitted&quot;</span>
47:     <span class="ruby-ivar">@libraries_work</span> = <span class="ruby-constant">LibrariesWork</span>.<span class="ruby-identifier">new</span>
48:     <span class="ruby-ivar">@libraries_work</span>.<span class="ruby-identifier">work_id</span> = <span class="ruby-identifier">params</span>[<span class="ruby-identifier">:id</span>]
49:     <span class="ruby-identifier">render</span> <span class="ruby-identifier">:action</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-value str">&quot;edit_location&quot;</span>, <span class="ruby-identifier">:layout</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-value str">&quot;popup&quot;</span>
50:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000027" class="method-detail">
        <a name="M000027"></a>

        <div class="method-heading">
          <a href="#M000027" class="method-signature">
          <span class="method-name">compare_version</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000027-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000027-source">
<pre>
     <span class="ruby-comment cmt"># File app/controllers/works_controller.rb, line 138</span>
138:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">compare_version</span>
139:     <span class="ruby-ivar">@work</span> = <span class="ruby-constant">Work</span>.<span class="ruby-identifier">find</span>( <span class="ruby-identifier">params</span>[<span class="ruby-identifier">:id</span>] )
140:     <span class="ruby-ivar">@version</span> = <span class="ruby-ivar">@work</span>.<span class="ruby-identifier">versions</span>[<span class="ruby-identifier">params</span>[<span class="ruby-identifier">:version_id</span>].<span class="ruby-identifier">to_i</span> <span class="ruby-operator">-</span> <span class="ruby-value">1</span>]
141:     <span class="ruby-identifier">render</span> <span class="ruby-identifier">:action</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-value str">'show'</span>
142:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000014" class="method-detail">
        <a name="M000014"></a>

        <div class="method-heading">
          <a href="#M000014" class="method-signature">
          <span class="method-name">create</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000014-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000014-source">
<pre>
    <span class="ruby-comment cmt"># File app/controllers/works_controller.rb, line 23</span>
23:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">create</span>
24:     <span class="ruby-ivar">@work</span> = <span class="ruby-constant">Work</span>.<span class="ruby-identifier">new</span>(<span class="ruby-identifier">params</span>[<span class="ruby-identifier">:works</span>])
25:     <span class="ruby-keyword kw">if</span> <span class="ruby-ivar">@work</span>.<span class="ruby-identifier">save</span>
26:       <span class="ruby-identifier">flash</span>[<span class="ruby-identifier">:notice</span>] = <span class="ruby-value str">'Work was successfully created.'</span>
27:       <span class="ruby-identifier">redirect_to</span> <span class="ruby-identifier">:action</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-value str">'list'</span>
28:     <span class="ruby-keyword kw">else</span>
29:       <span class="ruby-identifier">render</span> <span class="ruby-identifier">:action</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-value str">'new'</span>
30:     <span class="ruby-keyword kw">end</span>
31:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000025" class="method-detail">
        <a name="M000025"></a>

        <div class="method-heading">
          <a href="#M000025" class="method-signature">
          <span class="method-name">destroy</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000025-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000025-source">
<pre>
     <span class="ruby-comment cmt"># File app/controllers/works_controller.rb, line 127</span>
127:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">destroy</span>
128:     <span class="ruby-constant">Work</span>.<span class="ruby-identifier">find</span>(<span class="ruby-identifier">params</span>[<span class="ruby-identifier">:id</span>]).<span class="ruby-identifier">destroy</span>
129:     <span class="ruby-identifier">redirect_to</span> <span class="ruby-identifier">:action</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-value str">'list'</span>
130:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000015" class="method-detail">
        <a name="M000015"></a>

        <div class="method-heading">
          <a href="#M000015" class="method-signature">
          <span class="method-name">edit</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000015-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000015-source">
<pre>
    <span class="ruby-comment cmt"># File app/controllers/works_controller.rb, line 33</span>
33:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">edit</span>
34:     <span class="ruby-ivar">@work</span> = <span class="ruby-constant">Work</span>.<span class="ruby-identifier">find</span>(<span class="ruby-identifier">params</span>[<span class="ruby-identifier">:id</span>])
35:     <span class="ruby-ivar">@composers</span> = <span class="ruby-constant">Composer</span>.<span class="ruby-identifier">find</span>(<span class="ruby-identifier">:all</span>).<span class="ruby-identifier">map</span> {<span class="ruby-operator">|</span><span class="ruby-identifier">c</span><span class="ruby-operator">|</span> [<span class="ruby-identifier">c</span>.<span class="ruby-identifier">full_name</span>, <span class="ruby-identifier">c</span>.<span class="ruby-identifier">id</span>]}
36:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000022" class="method-detail">
        <a name="M000022"></a>

        <div class="method-heading">
          <a href="#M000022" class="method-signature">
          <span class="method-name">edit_edition</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000022-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000022-source">
<pre>
    <span class="ruby-comment cmt"># File app/controllers/works_controller.rb, line 81</span>
81:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">edit_edition</span>
82:     <span class="ruby-identifier">logger</span>.<span class="ruby-identifier">info</span> <span class="ruby-value str">&quot;Edit edition submitted&quot;</span>
83:     <span class="ruby-ivar">@publishers_work</span> = <span class="ruby-constant">PublishersWork</span>.<span class="ruby-identifier">find</span>(<span class="ruby-identifier">params</span>[<span class="ruby-identifier">:edition_id</span>])
84:     <span class="ruby-identifier">render</span> <span class="ruby-identifier">:action</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-value str">&quot;edit_edition&quot;</span>, <span class="ruby-identifier">:layout</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-value str">&quot;popup&quot;</span>
85:    <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000018" class="method-detail">
        <a name="M000018"></a>

        <div class="method-heading">
          <a href="#M000018" class="method-signature">
          <span class="method-name">edit_location</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000018-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000018-source">
<pre>
    <span class="ruby-comment cmt"># File app/controllers/works_controller.rb, line 51</span>
51:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">edit_location</span>
52:     <span class="ruby-identifier">logger</span>.<span class="ruby-identifier">info</span> <span class="ruby-value str">&quot;Edit location submitted&quot;</span>
53:     <span class="ruby-ivar">@libraries_work</span> = <span class="ruby-constant">LibrariesWork</span>.<span class="ruby-identifier">find</span>(<span class="ruby-identifier">params</span>[<span class="ruby-identifier">:location_id</span>])
54:     <span class="ruby-identifier">render</span> <span class="ruby-identifier">:action</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-value str">&quot;edit_location&quot;</span>, <span class="ruby-identifier">:layout</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-value str">&quot;popup&quot;</span>
55:    <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000010" class="method-detail">
        <a name="M000010"></a>

        <div class="method-heading">
          <a href="#M000010" class="method-signature">
          <span class="method-name">index</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000010-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000010-source">
<pre>
   <span class="ruby-comment cmt"># File app/controllers/works_controller.rb, line 2</span>
2:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">index</span>
3:     <span class="ruby-identifier">list</span>
4:     <span class="ruby-identifier">render</span> <span class="ruby-identifier">:action</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-value str">'list'</span>
5:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000011" class="method-detail">
        <a name="M000011"></a>

        <div class="method-heading">
          <a href="#M000011" class="method-signature">
          <span class="method-name">list</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000011-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000011-source">
<pre>
    <span class="ruby-comment cmt"># File app/controllers/works_controller.rb, line 11</span>
11:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">list</span>
12:     <span class="ruby-ivar">@works_pages</span>, <span class="ruby-ivar">@works</span> = <span class="ruby-identifier">paginate</span> <span class="ruby-identifier">:works</span>, <span class="ruby-identifier">:per_page</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-value">10</span>
13:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000013" class="method-detail">
        <a name="M000013"></a>

        <div class="method-heading">
          <a href="#M000013" class="method-signature">
          <span class="method-name">new</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000013-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000013-source">
<pre>
    <span class="ruby-comment cmt"># File app/controllers/works_controller.rb, line 19</span>
19:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">new</span>
20:     <span class="ruby-ivar">@work</span> = <span class="ruby-constant">Work</span>.<span class="ruby-identifier">new</span>
21:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000020" class="method-detail">
        <a name="M000020"></a>

        <div class="method-heading">
          <a href="#M000020" class="method-signature">
          <span class="method-name">remove_edition</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000020-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000020-source">
<pre>
    <span class="ruby-comment cmt"># File app/controllers/works_controller.rb, line 69</span>
69:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">remove_edition</span>
70:     <span class="ruby-identifier">logger</span>.<span class="ruby-identifier">info</span> <span class="ruby-value str">&quot;remove edition submitted&quot;</span>
71:     <span class="ruby-identifier">edition</span> = <span class="ruby-constant">PublishersWork</span>.<span class="ruby-identifier">find</span>(<span class="ruby-identifier">params</span>[<span class="ruby-identifier">:edition_id</span>])
72:     <span class="ruby-identifier">edition</span>.<span class="ruby-identifier">destroy</span>
73:     <span class="ruby-identifier">redirect_to</span> <span class="ruby-identifier">:action</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-value str">'edit'</span>, <span class="ruby-identifier">:id</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-identifier">params</span>[<span class="ruby-identifier">:id</span>]
74:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000016" class="method-detail">
        <a name="M000016"></a>

        <div class="method-heading">
          <a href="#M000016" class="method-signature">
          <span class="method-name">remove_location</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000016-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000016-source">
<pre>
    <span class="ruby-comment cmt"># File app/controllers/works_controller.rb, line 38</span>
38:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">remove_location</span>
39:     <span class="ruby-identifier">logger</span>.<span class="ruby-identifier">info</span> <span class="ruby-value str">&quot;remove location submitted&quot;</span>
40:     <span class="ruby-identifier">location</span> = <span class="ruby-constant">LibrariesWork</span>.<span class="ruby-identifier">find</span>(<span class="ruby-identifier">params</span>[<span class="ruby-identifier">:location_id</span>])
41:     <span class="ruby-identifier">location</span>.<span class="ruby-identifier">destroy</span>
42:     <span class="ruby-identifier">redirect_to</span> <span class="ruby-identifier">:action</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-value str">'edit'</span>, <span class="ruby-identifier">:id</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-identifier">params</span>[<span class="ruby-identifier">:id</span>]
43:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000026" class="method-detail">
        <a name="M000026"></a>

        <div class="method-heading">
          <a href="#M000026" class="method-signature">
          <span class="method-name">revert_to_version</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000026-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000026-source">
<pre>
     <span class="ruby-comment cmt"># File app/controllers/works_controller.rb, line 132</span>
132:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">revert_to_version</span>
133:     <span class="ruby-ivar">@work</span> = <span class="ruby-constant">Work</span>.<span class="ruby-identifier">find</span>( <span class="ruby-identifier">params</span>[<span class="ruby-identifier">:id</span>] )
134:     <span class="ruby-ivar">@work</span>.<span class="ruby-identifier">revert_to!</span> <span class="ruby-identifier">params</span>[<span class="ruby-identifier">:version_id</span>]
135:     <span class="ruby-identifier">redirect_to</span> <span class="ruby-identifier">:action</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-value str">'show'</span>, <span class="ruby-identifier">:id</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-identifier">params</span>[<span class="ruby-identifier">:id</span>]
136:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000012" class="method-detail">
        <a name="M000012"></a>

        <div class="method-heading">
          <a href="#M000012" class="method-signature">
          <span class="method-name">show</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000012-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000012-source">
<pre>
    <span class="ruby-comment cmt"># File app/controllers/works_controller.rb, line 15</span>
15:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">show</span>
16:     <span class="ruby-ivar">@work</span> = <span class="ruby-constant">Work</span>.<span class="ruby-identifier">find</span>(<span class="ruby-identifier">params</span>[<span class="ruby-identifier">:id</span>])
17:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000024" class="method-detail">
        <a name="M000024"></a>

        <div class="method-heading">
          <a href="#M000024" class="method-signature">
          <span class="method-name">update</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000024-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000024-source">
<pre>
     <span class="ruby-comment cmt"># File app/controllers/works_controller.rb, line 101</span>
101:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">update</span>
102:     <span class="ruby-ivar">@work</span> = <span class="ruby-constant">Work</span>.<span class="ruby-identifier">find</span>(<span class="ruby-identifier">params</span>[<span class="ruby-identifier">:id</span>])
103:     <span class="ruby-identifier">success</span> = <span class="ruby-keyword kw">false</span>
104:     <span class="ruby-keyword kw">case</span> <span class="ruby-identifier">params</span>[<span class="ruby-identifier">:submit</span>]
105:       <span class="ruby-keyword kw">when</span> <span class="ruby-value str">&quot;Save&quot;</span>
106:         <span class="ruby-identifier">logger</span>.<span class="ruby-identifier">info</span> <span class="ruby-value str">&quot;Save submitted&quot;</span>
107:         <span class="ruby-identifier">success</span> = <span class="ruby-ivar">@work</span>.<span class="ruby-identifier">update_attributes</span>(<span class="ruby-identifier">params</span>[<span class="ruby-identifier">:work</span>])
108:         <span class="ruby-keyword kw">if</span> <span class="ruby-identifier">params</span>[<span class="ruby-identifier">:locations</span>]
109:           <span class="ruby-identifier">params</span>[<span class="ruby-identifier">:locations</span>].<span class="ruby-identifier">each</span> <span class="ruby-keyword kw">do</span> <span class="ruby-operator">|</span><span class="ruby-identifier">id</span>, <span class="ruby-identifier">value</span><span class="ruby-operator">|</span>
110:             <span class="ruby-identifier">lw</span> = <span class="ruby-constant">LibrariesWork</span>.<span class="ruby-identifier">find</span>(<span class="ruby-identifier">id</span>)
111:             <span class="ruby-identifier">lw</span>.<span class="ruby-identifier">update_attributes</span>(<span class="ruby-identifier">value</span>)
112:           <span class="ruby-keyword kw">end</span>
113:         <span class="ruby-keyword kw">end</span>
114:         
115:       <span class="ruby-keyword kw">when</span> <span class="ruby-value str">&quot;Save and version&quot;</span>
116:         <span class="ruby-identifier">logger</span>.<span class="ruby-identifier">info</span> <span class="ruby-value str">&quot;Save and version submitted&quot;</span>
117:         <span class="ruby-identifier">success</span> = <span class="ruby-ivar">@work</span>.<span class="ruby-identifier">update_attributes</span>(<span class="ruby-identifier">params</span>[<span class="ruby-identifier">:work</span>])
118:     <span class="ruby-keyword kw">end</span>
119:     <span class="ruby-keyword kw">if</span> <span class="ruby-identifier">success</span>
120:       <span class="ruby-identifier">redirect_to</span> <span class="ruby-identifier">:action</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-value str">'show'</span>, <span class="ruby-identifier">:id</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-ivar">@work</span>
121:     <span class="ruby-keyword kw">else</span>
122:       <span class="ruby-ivar">@composers</span> = <span class="ruby-constant">Composer</span>.<span class="ruby-identifier">find</span>(<span class="ruby-identifier">:all</span>).<span class="ruby-identifier">map</span> {<span class="ruby-operator">|</span><span class="ruby-identifier">c</span><span class="ruby-operator">|</span> [<span class="ruby-identifier">c</span>.<span class="ruby-identifier">full_name</span>, <span class="ruby-identifier">c</span>.<span class="ruby-identifier">id</span>]}
123:       <span class="ruby-identifier">render</span> <span class="ruby-identifier">:action</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-value str">'edit'</span>
124:     <span class="ruby-keyword kw">end</span>
125:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000023" class="method-detail">
        <a name="M000023"></a>

        <div class="method-heading">
          <a href="#M000023" class="method-signature">
          <span class="method-name">update_edition</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000023-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000023-source">
<pre>
    <span class="ruby-comment cmt"># File app/controllers/works_controller.rb, line 86</span>
86:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">update_edition</span>
87:     <span class="ruby-identifier">logger</span>.<span class="ruby-identifier">info</span> <span class="ruby-value str">&quot;Update edition submitted&quot;</span>
88:     <span class="ruby-ivar">@publishers_work</span> = <span class="ruby-constant">PublishersWork</span>.<span class="ruby-identifier">find</span>(<span class="ruby-identifier">params</span>[<span class="ruby-identifier">:id</span>]) <span class="ruby-keyword kw">if</span> <span class="ruby-identifier">params</span>[<span class="ruby-identifier">:id</span>]
89:     <span class="ruby-keyword kw">if</span> <span class="ruby-ivar">@publishers_work</span>.<span class="ruby-identifier">nil?</span> 
90:       <span class="ruby-ivar">@publishers_work</span> = <span class="ruby-constant">PublishersWork</span>.<span class="ruby-identifier">new</span>
91:       <span class="ruby-ivar">@publishers_work</span>.<span class="ruby-identifier">work_id</span> = <span class="ruby-identifier">params</span>[<span class="ruby-identifier">:work</span>]
92:     <span class="ruby-keyword kw">end</span>
93:     <span class="ruby-ivar">@publishers_work</span>.<span class="ruby-identifier">update_attributes</span>(<span class="ruby-identifier">params</span>[<span class="ruby-identifier">:publishers_work</span> ])
94:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000019" class="method-detail">
        <a name="M000019"></a>

        <div class="method-heading">
          <a href="#M000019" class="method-signature">
          <span class="method-name">update_location</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000019-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000019-source">
<pre>
    <span class="ruby-comment cmt"># File app/controllers/works_controller.rb, line 56</span>
56:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">update_location</span>
57:     <span class="ruby-identifier">logger</span>.<span class="ruby-identifier">info</span> <span class="ruby-value str">&quot;Update location submitted&quot;</span>
58:     <span class="ruby-ivar">@libraries_work</span> = <span class="ruby-constant">LibrariesWork</span>.<span class="ruby-identifier">find</span>(<span class="ruby-identifier">params</span>[<span class="ruby-identifier">:id</span>]) <span class="ruby-keyword kw">if</span> <span class="ruby-identifier">params</span>[<span class="ruby-identifier">:id</span>]
59:     <span class="ruby-keyword kw">if</span> <span class="ruby-ivar">@libraries_work</span>.<span class="ruby-identifier">nil?</span> 
60:       <span class="ruby-ivar">@libraries_work</span> = <span class="ruby-constant">LibrariesWork</span>.<span class="ruby-identifier">new</span>
61:       <span class="ruby-ivar">@libraries_work</span>.<span class="ruby-identifier">work_id</span> = <span class="ruby-identifier">params</span>[<span class="ruby-identifier">:work</span>]
62:     <span class="ruby-keyword kw">end</span>
63:     <span class="ruby-ivar">@libraries_work</span>.<span class="ruby-identifier">update_attributes</span>(<span class="ruby-identifier">params</span>[<span class="ruby-identifier">:libraries_work</span>])
64:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>


    </div>


  </div>


<div id="validator-badges">
  <p><small><a href="http://validator.w3.org/check/referer">[Validate]</a></small></p>
</div>

</body>
</html>